﻿namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Shared.Localization;
    
    public class WashBicycleRecipe : RecipeFamily
    {
        public WashBicycleRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Wash Bicycle Colored",
                    Localizer.DoStr("Wash Bicycle Colored"),
                    new IngredientElement[]
                    {
                        new IngredientElement("ColoredBicycle", 1, true),
                        new IngredientElement(typeof(PlantFibersItem), 10, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),
                    },
                    new CraftingElement<BicycleItem>()
                )
            };
            this.ExperienceOnCraft = 0.1f;  
            this.LaborInCalories = CreateLaborInCaloriesValue(75, typeof(MechanicsSkill)); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(WashBicycleRecipe), 2, typeof(MechanicsSkill));    

            this.Initialize(Localizer.DoStr("Wash Bicycle Colored"), typeof(WashBicycleRecipe));
            CraftingComponent.AddRecipe(typeof(AdvancedPaintingTableObject), this);
        }
    }
}
